### YamlMime:ManagedReference
items:
- uid: Voile.Audio.AudioSystem
  commentId: T:Voile.Audio.AudioSystem
  id: AudioSystem
  parent: Voile.Audio
  children:
  - Voile.Audio.AudioSystem.AddBusEffect``1(``0,System.String)
  - Voile.Audio.AudioSystem.CreateBus(System.String)
  - Voile.Audio.AudioSystem.CreateInstance(Voile.Sound)
  - Voile.Audio.AudioSystem.Dispose
  - Voile.Audio.AudioSystem.GetBusVolume(System.String)
  - Voile.Audio.AudioSystem.Initialize
  - Voile.Audio.AudioSystem.PlaySound(Voile.Sound,System.Single,System.Single,System.String)
  - Voile.Audio.AudioSystem.PlaySound(Voile.Sound,System.String)
  - Voile.Audio.AudioSystem.SetBusVolume(System.String,System.Single)
  - Voile.Audio.AudioSystem.Shutdown
  - Voile.Audio.AudioSystem.Start
  - Voile.Audio.AudioSystem.Update
  - Voile.Audio.AudioSystem.Update(System.Double)
  langs:
  - csharp
  - vb
  name: AudioSystem
  nameWithType: AudioSystem
  fullName: Voile.Audio.AudioSystem
  type: Class
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: AudioSystem
    path: Source/Audio/AudioSystem.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: 'public abstract class AudioSystem : IStartableSystem, IUpdatableSystem, IDisposable'
    content.vb: Public MustInherit Class AudioSystem Implements IStartableSystem, IUpdatableSystem, IDisposable
  inheritance:
  - System.Object
  derivedClasses:
  - Voile.Audio.DummyAudioSystem
  - Voile.Audio.FmodAudioSystem
  implements:
  - Voile.IStartableSystem
  - Voile.IUpdatableSystem
  - System.IDisposable
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Audio.AudioSystem.Start
  commentId: M:Voile.Audio.AudioSystem.Start
  id: Start
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: Start()
  nameWithType: AudioSystem.Start()
  fullName: Voile.Audio.AudioSystem.Start()
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Start
    path: Source/Audio/AudioSystem.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile.Audio
  summary: Starts this system.
  example: []
  syntax:
    content: public void Start()
    content.vb: Public Sub Start()
  overload: Voile.Audio.AudioSystem.Start*
  implements:
  - Voile.IStartableSystem.Start
- uid: Voile.Audio.AudioSystem.Update(System.Double)
  commentId: M:Voile.Audio.AudioSystem.Update(System.Double)
  id: Update(System.Double)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: Update(double)
  nameWithType: AudioSystem.Update(double)
  fullName: Voile.Audio.AudioSystem.Update(double)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Update
    path: Source/Audio/AudioSystem.cs
    startLine: 8
  assemblies:
  - Voile
  namespace: Voile.Audio
  summary: Updates this system.
  example: []
  syntax:
    content: public void Update(double deltaTime)
    parameters:
    - id: deltaTime
      type: System.Double
      description: Time step.
    content.vb: Public Sub Update(deltaTime As Double)
  overload: Voile.Audio.AudioSystem.Update*
  implements:
  - Voile.IUpdatableSystem.Update(System.Double)
  nameWithType.vb: AudioSystem.Update(Double)
  fullName.vb: Voile.Audio.AudioSystem.Update(Double)
  name.vb: Update(Double)
- uid: Voile.Audio.AudioSystem.Dispose
  commentId: M:Voile.Audio.AudioSystem.Dispose
  id: Dispose
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: Dispose()
  nameWithType: AudioSystem.Dispose()
  fullName: Voile.Audio.AudioSystem.Dispose()
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Dispose
    path: Source/Audio/AudioSystem.cs
    startLine: 10
  assemblies:
  - Voile
  namespace: Voile.Audio
  summary: Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
  example: []
  syntax:
    content: public void Dispose()
    content.vb: Public Sub Dispose()
  overload: Voile.Audio.AudioSystem.Dispose*
  implements:
  - System.IDisposable.Dispose
- uid: Voile.Audio.AudioSystem.Initialize
  commentId: M:Voile.Audio.AudioSystem.Initialize
  id: Initialize
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: Initialize()
  nameWithType: AudioSystem.Initialize()
  fullName: Voile.Audio.AudioSystem.Initialize()
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Initialize
    path: Source/Audio/AudioSystem.cs
    startLine: 16
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: protected abstract void Initialize()
    content.vb: Protected MustOverride Sub Initialize()
  overload: Voile.Audio.AudioSystem.Initialize*
- uid: Voile.Audio.AudioSystem.Update
  commentId: M:Voile.Audio.AudioSystem.Update
  id: Update
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: Update()
  nameWithType: AudioSystem.Update()
  fullName: Voile.Audio.AudioSystem.Update()
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Update
    path: Source/Audio/AudioSystem.cs
    startLine: 17
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: protected abstract void Update()
    content.vb: Protected MustOverride Sub Update()
  overload: Voile.Audio.AudioSystem.Update*
- uid: Voile.Audio.AudioSystem.Shutdown
  commentId: M:Voile.Audio.AudioSystem.Shutdown
  id: Shutdown
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: Shutdown()
  nameWithType: AudioSystem.Shutdown()
  fullName: Voile.Audio.AudioSystem.Shutdown()
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Shutdown
    path: Source/Audio/AudioSystem.cs
    startLine: 18
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: protected abstract void Shutdown()
    content.vb: Protected MustOverride Sub Shutdown()
  overload: Voile.Audio.AudioSystem.Shutdown*
- uid: Voile.Audio.AudioSystem.CreateBus(System.String)
  commentId: M:Voile.Audio.AudioSystem.CreateBus(System.String)
  id: CreateBus(System.String)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: CreateBus(string)
  nameWithType: AudioSystem.CreateBus(string)
  fullName: Voile.Audio.AudioSystem.CreateBus(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: CreateBus
    path: Source/Audio/AudioSystem.cs
    startLine: 20
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public abstract void CreateBus(string busName)
    parameters:
    - id: busName
      type: System.String
    content.vb: Public MustOverride Sub CreateBus(busName As String)
  overload: Voile.Audio.AudioSystem.CreateBus*
  nameWithType.vb: AudioSystem.CreateBus(String)
  fullName.vb: Voile.Audio.AudioSystem.CreateBus(String)
  name.vb: CreateBus(String)
- uid: Voile.Audio.AudioSystem.SetBusVolume(System.String,System.Single)
  commentId: M:Voile.Audio.AudioSystem.SetBusVolume(System.String,System.Single)
  id: SetBusVolume(System.String,System.Single)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: SetBusVolume(string, float)
  nameWithType: AudioSystem.SetBusVolume(string, float)
  fullName: Voile.Audio.AudioSystem.SetBusVolume(string, float)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SetBusVolume
    path: Source/Audio/AudioSystem.cs
    startLine: 21
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public abstract void SetBusVolume(string busName, float volume)
    parameters:
    - id: busName
      type: System.String
    - id: volume
      type: System.Single
    content.vb: Public MustOverride Sub SetBusVolume(busName As String, volume As Single)
  overload: Voile.Audio.AudioSystem.SetBusVolume*
  nameWithType.vb: AudioSystem.SetBusVolume(String, Single)
  fullName.vb: Voile.Audio.AudioSystem.SetBusVolume(String, Single)
  name.vb: SetBusVolume(String, Single)
- uid: Voile.Audio.AudioSystem.GetBusVolume(System.String)
  commentId: M:Voile.Audio.AudioSystem.GetBusVolume(System.String)
  id: GetBusVolume(System.String)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: GetBusVolume(string)
  nameWithType: AudioSystem.GetBusVolume(string)
  fullName: Voile.Audio.AudioSystem.GetBusVolume(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetBusVolume
    path: Source/Audio/AudioSystem.cs
    startLine: 22
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public abstract float GetBusVolume(string busName)
    parameters:
    - id: busName
      type: System.String
    return:
      type: System.Single
    content.vb: Public MustOverride Function GetBusVolume(busName As String) As Single
  overload: Voile.Audio.AudioSystem.GetBusVolume*
  nameWithType.vb: AudioSystem.GetBusVolume(String)
  fullName.vb: Voile.Audio.AudioSystem.GetBusVolume(String)
  name.vb: GetBusVolume(String)
- uid: Voile.Audio.AudioSystem.PlaySound(Voile.Sound,System.Single,System.Single,System.String)
  commentId: M:Voile.Audio.AudioSystem.PlaySound(Voile.Sound,System.Single,System.Single,System.String)
  id: PlaySound(Voile.Sound,System.Single,System.Single,System.String)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: PlaySound(Sound, float, float, string)
  nameWithType: AudioSystem.PlaySound(Sound, float, float, string)
  fullName: Voile.Audio.AudioSystem.PlaySound(Voile.Sound, float, float, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: PlaySound
    path: Source/Audio/AudioSystem.cs
    startLine: 25
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public abstract void PlaySound(Sound sound, float pitch, float volume, string bus = "Master")
    parameters:
    - id: sound
      type: Voile.Sound
    - id: pitch
      type: System.Single
    - id: volume
      type: System.Single
    - id: bus
      type: System.String
    content.vb: Public MustOverride Sub PlaySound(sound As Sound, pitch As Single, volume As Single, bus As String = "Master")
  overload: Voile.Audio.AudioSystem.PlaySound*
  nameWithType.vb: AudioSystem.PlaySound(Sound, Single, Single, String)
  fullName.vb: Voile.Audio.AudioSystem.PlaySound(Voile.Sound, Single, Single, String)
  name.vb: PlaySound(Sound, Single, Single, String)
- uid: Voile.Audio.AudioSystem.PlaySound(Voile.Sound,System.String)
  commentId: M:Voile.Audio.AudioSystem.PlaySound(Voile.Sound,System.String)
  id: PlaySound(Voile.Sound,System.String)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: PlaySound(Sound, string)
  nameWithType: AudioSystem.PlaySound(Sound, string)
  fullName: Voile.Audio.AudioSystem.PlaySound(Voile.Sound, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: PlaySound
    path: Source/Audio/AudioSystem.cs
    startLine: 26
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public void PlaySound(Sound sound, string bus = "Master")
    parameters:
    - id: sound
      type: Voile.Sound
    - id: bus
      type: System.String
    content.vb: Public Sub PlaySound(sound As Sound, bus As String = "Master")
  overload: Voile.Audio.AudioSystem.PlaySound*
  nameWithType.vb: AudioSystem.PlaySound(Sound, String)
  fullName.vb: Voile.Audio.AudioSystem.PlaySound(Voile.Sound, String)
  name.vb: PlaySound(Sound, String)
- uid: Voile.Audio.AudioSystem.CreateInstance(Voile.Sound)
  commentId: M:Voile.Audio.AudioSystem.CreateInstance(Voile.Sound)
  id: CreateInstance(Voile.Sound)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: CreateInstance(Sound)
  nameWithType: AudioSystem.CreateInstance(Sound)
  fullName: Voile.Audio.AudioSystem.CreateInstance(Voile.Sound)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: CreateInstance
    path: Source/Audio/AudioSystem.cs
    startLine: 28
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public SoundInstance CreateInstance(Sound sound)
    parameters:
    - id: sound
      type: Voile.Sound
    return:
      type: Voile.Audio.SoundInstance
    content.vb: Public Function CreateInstance(sound As Sound) As SoundInstance
  overload: Voile.Audio.AudioSystem.CreateInstance*
- uid: Voile.Audio.AudioSystem.AddBusEffect``1(``0,System.String)
  commentId: M:Voile.Audio.AudioSystem.AddBusEffect``1(``0,System.String)
  id: AddBusEffect``1(``0,System.String)
  parent: Voile.Audio.AudioSystem
  langs:
  - csharp
  - vb
  name: AddBusEffect<T>(T, string)
  nameWithType: AudioSystem.AddBusEffect<T>(T, string)
  fullName: Voile.Audio.AudioSystem.AddBusEffect<T>(T, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/AudioSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: AddBusEffect
    path: Source/Audio/AudioSystem.cs
    startLine: 35
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: 'public abstract void AddBusEffect<T>(T effect, string bus = "Master") where T : AudioEffect'
    parameters:
    - id: effect
      type: '{T}'
    - id: bus
      type: System.String
    typeParameters:
    - id: T
    content.vb: Public MustOverride Sub AddBusEffect(Of T As AudioEffect)(effect As T, bus As String = "Master")
  overload: Voile.Audio.AudioSystem.AddBusEffect*
  nameWithType.vb: AudioSystem.AddBusEffect(Of T)(T, String)
  fullName.vb: Voile.Audio.AudioSystem.AddBusEffect(Of T)(T, String)
  name.vb: AddBusEffect(Of T)(T, String)
references:
- uid: Voile.Audio
  commentId: N:Voile.Audio
  href: Voile.html
  name: Voile.Audio
  nameWithType: Voile.Audio
  fullName: Voile.Audio
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Audio
    name: Audio
    href: Voile.Audio.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Audio
    name: Audio
    href: Voile.Audio.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.IStartableSystem
  commentId: T:Voile.IStartableSystem
  parent: Voile
  href: Voile.IStartableSystem.html
  name: IStartableSystem
  nameWithType: IStartableSystem
  fullName: Voile.IStartableSystem
- uid: Voile.IUpdatableSystem
  commentId: T:Voile.IUpdatableSystem
  parent: Voile
  href: Voile.IUpdatableSystem.html
  name: IUpdatableSystem
  nameWithType: IUpdatableSystem
  fullName: Voile.IUpdatableSystem
- uid: System.IDisposable
  commentId: T:System.IDisposable
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable
  name: IDisposable
  nameWithType: IDisposable
  fullName: System.IDisposable
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.Audio.AudioSystem.Start*
  commentId: Overload:Voile.Audio.AudioSystem.Start
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_Start
  name: Start
  nameWithType: AudioSystem.Start
  fullName: Voile.Audio.AudioSystem.Start
- uid: Voile.IStartableSystem.Start
  commentId: M:Voile.IStartableSystem.Start
  parent: Voile.IStartableSystem
  href: Voile.IStartableSystem.html#Voile_IStartableSystem_Start
  name: Start()
  nameWithType: IStartableSystem.Start()
  fullName: Voile.IStartableSystem.Start()
  spec.csharp:
  - uid: Voile.IStartableSystem.Start
    name: Start
    href: Voile.IStartableSystem.html#Voile_IStartableSystem_Start
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.IStartableSystem.Start
    name: Start
    href: Voile.IStartableSystem.html#Voile_IStartableSystem_Start
  - name: (
  - name: )
- uid: Voile.Audio.AudioSystem.Update*
  commentId: Overload:Voile.Audio.AudioSystem.Update
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_Update_System_Double_
  name: Update
  nameWithType: AudioSystem.Update
  fullName: Voile.Audio.AudioSystem.Update
- uid: Voile.IUpdatableSystem.Update(System.Double)
  commentId: M:Voile.IUpdatableSystem.Update(System.Double)
  parent: Voile.IUpdatableSystem
  isExternal: true
  href: Voile.IUpdatableSystem.html#Voile_IUpdatableSystem_Update_System_Double_
  name: Update(double)
  nameWithType: IUpdatableSystem.Update(double)
  fullName: Voile.IUpdatableSystem.Update(double)
  nameWithType.vb: IUpdatableSystem.Update(Double)
  fullName.vb: Voile.IUpdatableSystem.Update(Double)
  name.vb: Update(Double)
  spec.csharp:
  - uid: Voile.IUpdatableSystem.Update(System.Double)
    name: Update
    href: Voile.IUpdatableSystem.html#Voile_IUpdatableSystem_Update_System_Double_
  - name: (
  - uid: System.Double
    name: double
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.double
  - name: )
  spec.vb:
  - uid: Voile.IUpdatableSystem.Update(System.Double)
    name: Update
    href: Voile.IUpdatableSystem.html#Voile_IUpdatableSystem_Update_System_Double_
  - name: (
  - uid: System.Double
    name: Double
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.double
  - name: )
- uid: System.Double
  commentId: T:System.Double
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.double
  name: double
  nameWithType: double
  fullName: double
  nameWithType.vb: Double
  fullName.vb: Double
  name.vb: Double
- uid: Voile.Audio.AudioSystem.Dispose*
  commentId: Overload:Voile.Audio.AudioSystem.Dispose
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_Dispose
  name: Dispose
  nameWithType: AudioSystem.Dispose
  fullName: Voile.Audio.AudioSystem.Dispose
- uid: System.IDisposable.Dispose
  commentId: M:System.IDisposable.Dispose
  parent: System.IDisposable
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  name: Dispose()
  nameWithType: IDisposable.Dispose()
  fullName: System.IDisposable.Dispose()
  spec.csharp:
  - uid: System.IDisposable.Dispose
    name: Dispose
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  - name: (
  - name: )
  spec.vb:
  - uid: System.IDisposable.Dispose
    name: Dispose
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  - name: (
  - name: )
- uid: Voile.Audio.AudioSystem.Initialize*
  commentId: Overload:Voile.Audio.AudioSystem.Initialize
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_Initialize
  name: Initialize
  nameWithType: AudioSystem.Initialize
  fullName: Voile.Audio.AudioSystem.Initialize
- uid: Voile.Audio.AudioSystem.Shutdown*
  commentId: Overload:Voile.Audio.AudioSystem.Shutdown
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_Shutdown
  name: Shutdown
  nameWithType: AudioSystem.Shutdown
  fullName: Voile.Audio.AudioSystem.Shutdown
- uid: Voile.Audio.AudioSystem.CreateBus*
  commentId: Overload:Voile.Audio.AudioSystem.CreateBus
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_CreateBus_System_String_
  name: CreateBus
  nameWithType: AudioSystem.CreateBus
  fullName: Voile.Audio.AudioSystem.CreateBus
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Audio.AudioSystem.SetBusVolume*
  commentId: Overload:Voile.Audio.AudioSystem.SetBusVolume
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_SetBusVolume_System_String_System_Single_
  name: SetBusVolume
  nameWithType: AudioSystem.SetBusVolume
  fullName: Voile.Audio.AudioSystem.SetBusVolume
- uid: System.Single
  commentId: T:System.Single
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.single
  name: float
  nameWithType: float
  fullName: float
  nameWithType.vb: Single
  fullName.vb: Single
  name.vb: Single
- uid: Voile.Audio.AudioSystem.GetBusVolume*
  commentId: Overload:Voile.Audio.AudioSystem.GetBusVolume
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_GetBusVolume_System_String_
  name: GetBusVolume
  nameWithType: AudioSystem.GetBusVolume
  fullName: Voile.Audio.AudioSystem.GetBusVolume
- uid: Voile.Audio.AudioSystem.PlaySound*
  commentId: Overload:Voile.Audio.AudioSystem.PlaySound
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_PlaySound_Voile_Sound_System_Single_System_Single_System_String_
  name: PlaySound
  nameWithType: AudioSystem.PlaySound
  fullName: Voile.Audio.AudioSystem.PlaySound
- uid: Voile.Sound
  commentId: T:Voile.Sound
  parent: Voile
  href: Voile.Sound.html
  name: Sound
  nameWithType: Sound
  fullName: Voile.Sound
- uid: Voile.Audio.AudioSystem.CreateInstance*
  commentId: Overload:Voile.Audio.AudioSystem.CreateInstance
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_CreateInstance_Voile_Sound_
  name: CreateInstance
  nameWithType: AudioSystem.CreateInstance
  fullName: Voile.Audio.AudioSystem.CreateInstance
- uid: Voile.Audio.SoundInstance
  commentId: T:Voile.Audio.SoundInstance
  parent: Voile.Audio
  href: Voile.Audio.SoundInstance.html
  name: SoundInstance
  nameWithType: SoundInstance
  fullName: Voile.Audio.SoundInstance
- uid: Voile.Audio.AudioSystem.AddBusEffect*
  commentId: Overload:Voile.Audio.AudioSystem.AddBusEffect
  href: Voile.Audio.AudioSystem.html#Voile_Audio_AudioSystem_AddBusEffect__1___0_System_String_
  name: AddBusEffect
  nameWithType: AudioSystem.AddBusEffect
  fullName: Voile.Audio.AudioSystem.AddBusEffect
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: T
  name: T
  nameWithType: T
  fullName: T
